package roseindia.net.logger;

import org.aspectj.lang.JoinPoint;

public class AspectLogger {
	public void logEntry(JoinPoint joinPoint) {
		log("Currently in " + joinPoint.getSignature().getName() + "()");
	}

	public void logExit(JoinPoint joinPoint) {
		log("Currently in " + joinPoint.getSignature().getName() + "()");
	}

	public void logAroundAdvice(JoinPoint joinPoint) {
		log("Currently in " + joinPoint.getSignature().getName() + "()");
	}

	public void logExitAfterReturn(JoinPoint joinPoint) {
		log("Currently in " + joinPoint.getSignature().getName() + "()");
	}

	public void logAfterThrowsAdvice(JoinPoint joinPoint) {
		log("Currently in " + joinPoint.getSignature().getName() + "()");
	}

	public static void log(String LogMessage) {
		System.err.println(LogMessage);
	}
}